For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Conversation object
          • GET/conversations
          • GET/conversations/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsConversations

/conversations/{id}

GET
/conversations/:id
GET
/api/chat/v1/conversations/:id
$curl -G https://api.merge.dev/api/chat/v1/conversations/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=members
200Retrieved
1{
2 "id": "c2f2d8a4-9f7a-4e2b-8e2f-123456789abc",
3 "remote_id": "conv-001",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "General Discussion",
7 "description": "A channel for general chat.",
8 "url": "https://example.com/conversations/conv-001",
9 "type": "PUBLIC_INTERNAL",
10 "members": [
11 "string"
12 ],
13 "remote_created_at": "2021-09-15T00:00:00Z",
14 "remote_updated_at": "2021-09-16T00:00:00Z",
15 "remote_was_deleted": true,
16 "field_mappings": {
17 "organization_defined_targets": {
18 "custom_key": "custom_value"
19 },
20 "linked_account_defined_targets": {
21 "custom_key": "custom_value"
22 }
23 },
24 "remote_data": [
25 {
26 "path": "/conversations",
27 "data": null
28 }
29 ]
30}

Returns a Conversation object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/conversations

Next

The Message object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=80 characters
The name of the conversation
descriptionstring or null
The description of the conversation.
urlstring or nullformat: "uri"<=2000 characters
The url of the conversation.
typeenum or null

The type of the conversation.

  • PRIVATE_INTERNAL - PRIVATE_INTERNAL
  • PRIVATE_EXTERNAL - PRIVATE_EXTERNAL
  • PUBLIC_INTERNAL - PUBLIC_INTERNAL
  • PUBLIC_EXTERNAL - PUBLIC_EXTERNAL
  • ONE_ON_ONE_CHAT - ONE_ON_ONE_CHAT
  • GROUP_CHAT - GROUP_CHAT
  • MEETING_CHAT - MEETING_CHAT
memberslist of strings
remote_created_atdatetime or null
When the third party's conversation was created.
remote_updated_atdatetime or null
When the third party's conversation was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only